﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RadRibbonWindow
    {
        static MainWindow()
        {
           RadRibbonWindow.IsWindowsThemeEnabled = false;   
        }
        
        public MainWindow()
        {            
            InitializeComponent();
        }


        string[] xamlFiles = { "/System.Windows.xaml",
                               "/Telerik.Windows.Controls.xaml",
                               "/Telerik.Windows.Controls.Input.xaml",                              
                               "/Telerik.Windows.Controls.Navigation.xaml", 
                                 "/Telerik.Windows.Controls.RibbonView.xaml",
                             };
        

        private void RadGallery_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            var combo = (sender as RadRibbonComboBox);
            var theme = combo.SelectionBoxItem.ToString();

            switch (theme)
            {
                case "Office_Black":
                    LoadResourceDictionaries("Office_Black"); break;
                case "Office_Blue":
                    LoadResourceDictionaries("Office_Blue"); break;
                case "Office_Silver":
                    LoadResourceDictionaries("Office_Silver"); break;
                case "Summer":
                    LoadResourceDictionaries("Summer"); break;
                case "Transparent":
                    LoadResourceDictionaries("Transparent");
                    break;
                case "Vista":
                    LoadResourceDictionaries("Vista"); break;
                case "Windows7":
                    LoadResourceDictionaries("Windows7"); break;
                case "Expression_Dark":
                    LoadResourceDictionaries("Expression_Dark"); break;
                case "Windows8":
                    LoadResourceDictionaries("Windows8"); break;
                case "Windows8Touch":
                    LoadResourceDictionaries("Windows8Touch"); break;
                case "Office2013":
                    LoadResourceDictionaries("Office2013"); break;
                case "Office2013_LightGray":
                    LoadResourceDictionaries("Office2013_LightGray"); break;
                case "Office2013_DarkGray":
                    LoadResourceDictionaries("Office2013_DarkGray"); break;
                case "VisualStudio2013_Blue":
                    LoadResourceDictionaries("VisualStudio2013_Blue"); break;
                case "VisualStudio2013_Dark":
                    LoadResourceDictionaries("VisualStudio2013_Dark"); break;
                case "VisualStudio2013_Light":
                    LoadResourceDictionaries("VisualStudio2013_Light"); break;
                default: break;
            }
        }

        private void LoadResourceDictionaries(string theme)
        {                  
            Application.Current.Resources.MergedDictionaries.Clear();

            #region Variations
            if (theme == "Office2013")
            {
                Office2013Palette.LoadPreset(Office2013Palette.ColorVariation.White);
                theme = "Office2013";
            }
            else if (theme == "Office2013_LightGray")
            {
                Office2013Palette.LoadPreset(Office2013Palette.ColorVariation.LightGray);
                theme = "Office2013";
            }
            else if (theme == "Office2013_DarkGray")
            {
                Office2013Palette.LoadPreset(Office2013Palette.ColorVariation.DarkGray);
                theme = "Office2013";
            }

            else if (theme == "VisualStudio2013_Blue")
            {
                VisualStudio2013Palette.LoadPreset(VisualStudio2013Palette.ColorVariation.Blue);
                theme = "VisualStudio2013";
            }

            else if (theme == "VisualStudio2013_Dark")
            {
                VisualStudio2013Palette.LoadPreset(VisualStudio2013Palette.ColorVariation.Dark);
                theme = "VisualStudio2013";
            }

            else if (theme == "VisualStudio2013_Light")
            {
                VisualStudio2013Palette.LoadPreset(VisualStudio2013Palette.ColorVariation.Light);
                theme = "VisualStudio2013";
            }
            #endregion

            foreach (var file in xamlFiles)
            {
                string a = string.Format(@"/Telerik.Windows.Themes.{0};component/Themes" + file, theme);
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
                {
                    Source = new Uri(a, UriKind.RelativeOrAbsolute)
                });
            }
            Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri("Dictionary1.xaml", UriKind.RelativeOrAbsolute)
            });
        }

     
    }

    
}
